Bad flag delimiters after update to DA 1.43.3

Jan_E

Verified User
Joined
Apr 29, 2011
Messages
130
Location
Amsterdam, NL, EU
There are errors in line 50 and 51 of data/templates/virtual_host2.conf after the update to DA 1.43.3

Line 50 was:
RewriteCond %{REQUEST_FILENAME} \.php|PHP2_ RELEASE|$
And should have been
RewriteCond %{REQUEST_FILENAME} \.php|PHP2_RELEASE|$

Without the space between PHP2_ and RELEASE.

I did not yet find out what the trouble in line 51 is, but after a ./build rewrite_conf I am getting this error:

Starting httpd: AH00526: Syntax error on line 59 of /usr/local/directadmin/data/users/abchost/httpd.conf:
RewriteRule: bad flag delimiters

Config:
php1_release=5.3
php2_release=5.4
php1_mode=mod_php
php2_mode=php-fpm

I did not use php-fpm anymore in any virtualhost so I disabled php2_release and rebuilt the system.

Edit:
The second error seems to be a double '[P,E=HTTP_AUTHORIZATION:% ' in
line 51 of data/templates/virtual_host2.conf
line 52 of data/templates/virtual_host2_sub.conf
line 57 of data/templates/virtual_host2_secure.conf
line 57 of data/templates/virtual_host2_secure_sub.conf
 
Last edited:

Jan_E

Verified User
Joined
Apr 29, 2011
Messages
130
Location
Amsterdam, NL, EU
Why was DA 1.43.3 shipped with config files that are known to have bugs? Sorry, but that is not what I expected from DA.

My Apache went down after updating to 1.43.3 and updating some modules :(
 
Top